Solid Edge FrameworkSupport Type Library
AddLength Method
Specifies the object for which the dimension is applied. Valid objects are Line or Arc.
Description
Creates a dimension to measure the length of a line or an arc.
Syntax
Visual Basic
Public Function AddLength( _
   ByVal Object As Object _
) As Dimension
Parameters
Object
Specifies the object for which the dimension is applied. Valid objects are Line or Arc.
Remarks
This method takes the minimum required data (object) and assumes other data from the defaults set in the collection object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim objL1 As SolidEdgeFrameworkSupport.Line2d
    Dim objDimns As SolidEdgeFrameworkSupport.Dimensions
    Dim objDim1 As SolidEdgeFrameworkSupport.Dimension
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create a Line object in the Profile
    Set objL1 = objProfile.Lines2d.AddBy2Points(x1:=0, y1:=0, x2:=0.1, y2:=0)
    ' Create a Dimension object
    Set objDimns = objProfile.Dimensions
    Set objDim1 = objDimns.AddLength(Object:=objL1)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
    Set objL1 = Nothing
    Set objDimns = Nothing
End Sub
See Also

Dimensions Collection  | Dimensions Members

Send comments on this topic.